跳到主要内容

修改 Collection 属性 (V2)

This operation alters the properties of a collection.

POST/v2/vectordb/collections/alter_properties
连接端点

该 API 的 Base URL 格式如下:

https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

📘说明
  • 如果您使用的是服务集群,请使用集群端点。
    • Free 与 Serverless 版

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated 版

      https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

  • 你需要填入您的 Zilliz Cloud 集群的 ${CLUSTER_ENDPOINT}
  • 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。

示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring

Database 名称。设置为不存在的 Database 会导致错误。如果未指定,则使用默认 Database。

collectionNamestring必填项

Collection 名称。设置为不存在的 Collection 会导致错误。

propertiesobjectrequired

待修改的 Collection 属性。键名必须为实际的 Milvus 属性名称。

collection.ttl.secondsinteger

当前 Collection 的 TTL 时间,单位为秒。

collection.autocompaction.enabledboolean

是否为当前 Collection 启用自动 Compaction 功能。

collection.descriptionstring

当前 Collection 的描述信息。

collection.on.truncatingboolean

当前 Collection 是否正在执行截断操作。为 true 时禁止执行 Compaction。

collection.function.allowInsertNonBM25FunctionOutputsboolean

是否允许插入非 BM25 函数的输出。

collection.insertRate.max.mbnumber

最大插入速率限制,单位为 MB/s。

collection.insertRate.min.mbnumber

最小插入速率限制,单位为 MB/s。

collection.deleteRate.max.mbnumber

最大删除速率限制,单位为 MB/s。

collection.deleteRate.min.mbnumber

最小删除速率限制,单位为 MB/s。

collection.bulkLoadRate.max.mbnumber

最大批量加载速率限制,单位为 MB/s。

collection.bulkLoadRate.min.mbnumber

最小批量加载速率限制,单位为 MB/s。

collection.queryRate.max.qpsnumber

最大查询速率限制,单位为 QPS。

collection.queryRate.min.qpsnumber

最小查询速率限制,单位为 QPS。

collection.searchRate.max.vpsnumber

最大搜索速率限制,单位为 VPS。

collection.searchRate.min.vpsnumber

最小搜索速率限制,单位为 VPS。

collection.diskProtection.diskQuota.mbnumber

当前 Collection 的磁盘配额上限,单位为 MB。

collection.replica.numberinteger

当前 Collection 的副本数量。

collection.resource_groupsstring

与当前 Collection 关联的资源组名称列表,以逗号分隔。

mmap.enabledboolean

是否为当前 Collection 启用内存映射功能。

partitionkey.isolationboolean

是否为当前 Collection 启用 Partition Key 隔离功能。

ttl_fieldstring

用于 TTL 过期策略的字段名称。

warmup.scalarFieldboolean

是否在加载时将标量字段数据预加载到内存中。

warmup.scalarIndexboolean

是否在加载时将标量索引数据预加载到内存中。

warmup.vectorFieldboolean

是否在加载时将向量字段数据预加载到内存中。

warmup.vectorIndexboolean

是否在加载时将向量索引数据预加载到内存中。

export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/alter_properties" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "test_collection",
"properties": {
"mmap.enabled": true
}
}'
响应200 - application/json
codeinteger

响应码。

dataobject

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

{
"code": 0,
"data": {}
}